Sisimai::Reason::AuthFailure(3pm)

NAME
Sisimai::Reason::AuthFailure - Bounce reason is "authfailure" or not.

SYNOPSIS
    use Sisimai::Reason::AuthFailure;
    print Sisimai::Reason::AuthFailure->match('5.7.9 Header error');    # 1

DESCRIPTION
"Sisimai::Reason::AuthFailure" checks the bounce reason is "authfailure" or not. This class is called only "Sisimai::Reason" class.

This is the error that an authenticaion failure related to SPF, DKIM, or DMARC was detected on a destination mail host.

    Action: failed
    Status: 5.7.1
    Remote-MTA: dns; smtp.example.com
    Diagnostic-Code: smtp; 550 5.7.1 Email rejected per DMARC policy for example.org

CLASS METHODS

  "text()"
text() method returns the fixed string "authfailure".

    print Sisimai::Reason::AuthFailure->text;  # authfailure

  "match(string)"
match() method returns 1 if the argument matched with patterns defined in this class.

    print Sisimai::Reason::AuthFailure->match('5.7.0 SPF Check: fail');    # 1

  "true(Sisimai::Fact)"
true() method returns 1 if the bounce reason is "authfailure". The argument must be "Sisimai::Fact" object and this method is called only from "Sisimai::Reason" class.

AUTHOR
azumakuniyuki

COPYRIGHT
Copyright (C) 2022-2024 azumakuniyuki, All rights reserved.

LICENSE
This software is distributed under The BSD 2-Clause License.